<form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm"><div class="main-content pad">
<div class="container-fluid">
    <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">edit</i>
	                        </div>
		           		 <h2 id="jhi-jenis-pembayaran-heading" jhiTranslate="sisteminformasiakademikApp.jenisPembayaran.home.createOrEditLabel">Create or edit a Jenis Pembayaran</h2>
					</div>
                <jhi-alert-error></jhi-alert-error>
    		<div class="card-body">
                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.jenisPembayaran.jenis" for="field_jenis">Jenis</label>
                    <input type="text" class="form-control" name="jenis" id="field_jenis"
                           formControlName="jenis"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_jenisKelamin" jhiTranslate="sisteminformasiakademikApp.jenisPembayaran.metode">Jenis Kelamin</label>
                    <select class="form-control" name="metode" formControlName="metode" id="field_metode">
                        <option value="BULANAN">BULANAN</option>
                        <option value="KHUSUS">KHUSUS</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_keterangan">keterangan</label>
                    <input type="text" class="form-control" name="keterangan" id="field_keterangan"
                           formControlName="keterangan"/>
                </div>
            </div>
            <div class="text-center"> 
                <button mat-raised-button type="button" id="cancel-save" class="btn btn-danger btn-fill"   (click)="previousState()">
                    <i class="material-icons">block</i>&nbsp;<span
				                    jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button mat-raised-button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-success btn-fill">
                     <i class="material-icons">save</i>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
            <br>
    </div>
</div>
</div>
</div>
</form>